Page MenuHomePhabricator

class="mw-redirect" missing in redirect links listed by <categorytree>
Closed, ResolvedPublic

Description

There is class="mw-redirect" missing in redirect links listed by <categorytree>.

Normally, redirect links anywhere on page (even in messages) have such class, however not those generated by <categorytree>.

Details

Reference
bz23771
Related Gerrit Patches:
mediawiki/extensions/CategoryTree : masterUse LinkRenderer instead of manually building links

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:05 PM
bzimport set Reference to bz23771.
bzimport added a subscriber: Unknown Object (MLST).
Danny_B created this task.Jun 3 2010, 10:47 AM
TheDJ added a comment.Jun 3 2010, 11:02 AM

Probably similar to this issue for image links (bug 23204). Those are created using the "known" and "noclasses" markers.

Change 291702 had a related patch set uploaded (by Legoktm):
Use LinkRenderer instead of manually building links

https://gerrit.wikimedia.org/r/291702

Meno25 removed a subscriber: Meno25.Aug 31 2016, 5:36 AM

Change 291702 had a related patch set uploaded (by Matěj Suchánek; owner: Legoktm):
[mediawiki/extensions/CategoryTree@master] Use LinkRenderer instead of manually building links

https://gerrit.wikimedia.org/r/291702

Change 291702 merged by jenkins-bot:
[mediawiki/extensions/CategoryTree@master] Use LinkRenderer instead of manually building links

https://gerrit.wikimedia.org/r/291702

Peachey88 updated the task description. (Show Details)Sep 8 2019, 11:36 AM
Peachey88 removed a subscriber: wikibugs-l-list.
TheDJ closed this task as Resolved.Sep 8 2019, 12:16 PM
TheDJ assigned this task to Legoktm.
TheDJ removed a project: Patch-For-Review.